    The XSPEC hrefl model: reflection model.

xshrefl
The xshrefl model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xshrefl", "mdl")
>>> print(mdl)

Create a component of the xshrefl model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.thetamin frozen 0 0 90 mdl.thetamax frozen 90 0 90 mdl.thetaobs thawed 60 0 90 mdl.Feabun frozen 1 0 200 mdl.FeKedge frozen 7.11 7 10 keV mdl.Escfrac thawed 1 0 1000 mdl.covfac thawed 1 0 1000 mdl.redshift frozen 0 -0.999 10

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
thetamin
The minimum angle, in degrees, between source photons incident on the slab and the slab normal.
thetamax
The maximum angle, in degrees, between source photons incident on the slab and the slab normal.
thetamobs
The angle, in degrees, between the observer's line of sight and the slab normal.
Feabun
The iron abundance relative to solar.
FeKedge
The iron K edge energy, in keV.
Escfrac
The fraction of the direct flux seen by the observer: see [1]

for more details.
covfac
The normalization of the reflected continuum: see [1] for more details.
redshift
The redshift.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelHrefl.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023